<?php

/**
 * @file
 * Twitch Api class.
 */
class MediaTwitchApi {

  public function __construct() {
    $this->apiVideoUrl = 'https://api.twitch.tv/kraken/videos/a';
    $this->apiChapterUrl = 'https://api.twitch.tv/kraken/videos/c';
    $this->apiChannelUrl = 'https://api.twitch.tv/kraken/channels/';
    $this->apiLiveStreamUrl = 'https://api.twitch.tv/kraken/streams/';
  }

  public function validStaticId() {
    if (isset($this->singleVideoId) && is_numeric($this->singleVideoId)) {
      $this->getSingleVideo();
      if (!isset($this->singleVideo->error)) {
        return TRUE;
      }
    }
    return FALSE;
  }

  public function getSingleVideo() {
    $result = drupal_http_request($this->apiVideoUrl . $this->singleVideoId);
    $obj = json_decode($result->data);
    $this->singleVideo = $obj;
  }

  public function validChannelId() {
    if (isset($this->channelId)) {
      $this->getChannel();
      if (!isset($this->channel->error)) {
        return TRUE;
      }
    }
    return FALSE;
  }

  public function getChannel() {
    $result = drupal_http_request($this->apiChannelUrl . $this->channelId);
    $this->channel = json_decode($result->data);
  }

  public function validChapterId() {
    if (isset($this->chapterId)) {
      $this->getChapter();
      if (!isset($this->chapter->error)) {
        return TRUE;
      }
    }
    return FALSE;
  }

  public function getChapter() {
    $result = drupal_http_request($this->apiChapterUrl . $this->chapterId);
    $this->chapter = json_decode($result->data);
  }

  public function getStreamStatus($channel) {
    $result = drupal_http_request($this->apiLiveStreamUrl . $channel);
    $status = TRUE;
    $channel = json_decode($result->data);
    if (is_null($channel->stream)) {
      $status = FALSE;
    }
    return $status;
  }

}
