<?php

/**
 * @file
 * Displays a Twitch video.
 *
 * Available variables:
 * - $width: The width of the video.
 * - $height: The height of the video.
 * - $movie: The embed URL of the video.
 * - $allowscriptaccess: A parameter on the video object.
 * - $allowfullscreen: A parameter on the video object.
 * - $wmode: A parameter on the video object.
 * - $is_live: In case we are dealing with a live stream.
 *
 * @see media_twitch_preprocess_media_twitch_video()
 *
 * @ingroup themable
 */

?>
<div class="media-twitch-outer-wrapper" id="media-twitch-<?php print $id; ?>" style="width: <?php print $width; ?>px; height: <?php print $height; ?>px;">
  <div class="media-twitch-wrapper" id="<?php print $wrapper_id; ?>" >
    <object type="application/x-shockwave-flash" width="<?php print $width; ?>" height="<?php print $height; ?>" data="<?php print $movie; ?>">
      <param name="movie" value="<?php print $movie; ?>" />
      <param name="allowscriptaccess" value="<?php print $allowscriptaccess; ?>" />
      <param name="allowNetworking" value="all" />
      <param name="allowfullscreen" value="<?php print $allowfullscreen; ?>" />
      <param name="wmode" value="<?php print $wmode; ?>" />
      <param name="flashvars" value="auto_play=<?php print $autoplay; ?>&channel=<?php print $channel; ?>&start_volume=25<?php print $archive_id; ?>" />
    </object>
  </div>
</div>


